### Method

# Gtk Snapshotpush_debug

#### Declaration [src]

    void
    gtk_snapshot_push_debug (
      GtkSnapshot* snapshot,
      const char* message,
      ...
    )

#### Description [src]

Inserts a debug node with a message.

Debug nodes don’t affect the rendering at all, but can be helpful in identifying parts of a render node tree dump, for example in the GTK inspector.

This method is not directly available to language bindings.

#### Parameters

`message`

  Type: `const char*`

  A printf-style format string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Arguments for `message`.